@import 'bootstrap/bootstrap.min.css';

:root {
    --bs-link-color: #B8ADD2FF !important;
    --bs-link-color80: #B8ADD2CC !important;
    --bs-link-color50: #B8ADD27D !important;
    --bs-link-color40: #B8ADD266 !important;
    --bs-text-color: #05e16e;
    --bs-text-color50: #05e16e7d;
    --bs-body-bg: #313D5CFF !important;
    --bs-bg-opacity: 1;
    --bs-border-opacity: 1;
    --colors-text: #f4eeff;
    --colors-backgroundAlt: #27262c;
    --colors-cardBorder: #383241;
    --colors-text50: #f4eeff7d;
    --colors-text40: #f4eeff66;
    --colors-gradientCardHeader: linear-gradient(166.77deg, #3b4155, #3a3045);
    --colors-input: #372f47;
    --colors-inputSecondary: #262130;
    --shadows-inset: inset 0px 2px 2px -1px rgba(74, 74, 104, .1);
    --bs-btn-close-color: var(--bs-text-color);
    --bs-card-border-color: var(--bs-text-color);
}

pre {
    /*font-size: 1rem !important;*/
    margin-bottom: 0 !important;
}

a {
    color: var(--bs-link-color) !important;
}

input[type="number"] {
    -moz-appearance: textfield; /* Firefox */
    -webkit-appearance: none; /* Safari 和 Chrome */
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    /* 隐藏 Chrome 和 Safari 中的内置上下箭头 */
    display: none;
    margin: 0;
}

.scroll {
    overflow-x: hidden !important;
    --bb-scroll-default-width: 0 !important;
    --bb-scroll-default-hover-width: 0 !important;
    /*height: calc(100vh - 5rem) !important;*/
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card-base {
    overflow: hidden;
    border-radius: 1rem;
    border: 1px solid var(--bs-text-color) !important;
    background-color: rgb(56 50 65 / 50%);
}

.layout-header {
    background-color: var(--colors-backgroundAlt);
    border-bottom: 1px solid #383241;
    transform: translate3d(0px, 0px, 0px);
}

.layout-header .nav-link {
    font-size: 1rem !important;
    color: #b8add2 !important;
}

.layout-header .nav-link.active {
    color: var(--bs-text-color) !important;
}

.layout-header .nav-link.connect,
.token-list .deploy-btn {
    border: 0;
    background-color: var(--bs-text-color);
    color: #191326 !important;
    transition: background-color 0.2s ease 0s, opacity 0.2s ease 0s;
    box-shadow: rgba(14, 14, 44, 0.4) 0 -1px 0 0 inset;
    border-radius: 25px;
}

.refresh-bar {
    color: var(--bs-text-color);
}

.refresh-bar .refresh-btn {
    color: var(--bs-link-color) !important;
    font-size: 1rem;
    border: none;
    border: 0;
}

.inscription-item {
    background-color: #383241 !important;
    border-color: var(--bs-text-color) !important;
}

.inscription-item .card-body {
    color: var(--bs-text-color);
    font-size: 1rem;
    background-color: #372f47;
    border-radius: .375rem;
    min-height: 220px;
}

.inscription-item .card-footer {
    border-top-color: var(--bs-text-color) !important;
    color: var(--bs-link-color);
}

.modal-header .modal-title {
    text-align: center !important;
}

/* Token List */
.token-list {
    border: 1px solid var(--bs-text-color) !important;
    border-radius: 10px;
}

.token-list .token-list-header .title {
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--bs-text-color) !important;
}

.token-list .deploy-btn {
    font-size: 1rem;
}

/*.token-list .segmented {*/
/*    background-color: #372f47;*/
/*    border-color: #b8add2 !important;*/
/*    padding: 0;*/
/*    border-radius: 32px;*/
/*}*/

/*.token-list .segmented-item {*/
/*    border-radius: 32px !important;*/
/*    color: #b8add2;*/
/*    padding: 2px 1rem !important;*/
/*}*/

/*.token-list .segmented-item.selected {*/
/*    background-color: rgb(184, 173, 210) !important;*/
/*    color: #27262c;*/
/*}*/

.table-container .table {
    font-size: .9rem;
    line-height: 1.5rem !important;
}

.table-container .table > :not(caption) > * > * {
    color: #383241;
}

.table-container th .table-cell {
    line-height: 2rem !important;
    color: var(--bs-text-color);
}

.table-container th {
    background-color: transparent;
}

.table-container td {
    border: 0;
    background-color: transparent;
}

.table-container td .table-cell {
    line-height: 2rem !important;
    color: #f4eeff !important;
}

.inscription-overview {
    width: 38.5rem;
    margin-right: 2.5rem;
    min-height: 55rem;
}

.inscription-overview .code {
    background-color: #27262c;
    height: 20rem;
    border-radius: 1rem;
    color: var(--bs-text-color);
    font-size: 1.2rem;
    border: 1px solid rgb(184 173 210 / 30%) !important;;
}

.inscription-overview .info .label,
.inscription-overview .info .value {
    font-size: 1rem;
    line-height: 1.5rem;
    display: block;
    color: var(--bs-link-color);
}

.inscription-activity {
    width: 100%;
    color: var(--bs-link-color);
}

.inscription-activity > div > div {
    font-size: 1rem;
    line-height: 1rem;
}

.inscription-activity > div > div.title {
    font-size: 1.25rem;
    line-height: 2rem;
    border-bottom: 1px solid rgb(184 173 210 / 25%);
    padding-bottom: .5rem;
}

.inscription-activity > div > div.header {
    color: rgb(184 173 210 / 75%);
    padding: .25rem;
}

.table-container .table-loading,
.table-container .table-loader {
    border: none !important;
}

.segmented {
    border-radius: 10rem !important;
    padding: 0 !important;
    border-color: var(--bs-text-color) !important;
}

.segmented .segmented-item {
    border-radius: 10rem !important;
    padding: 2px 1rem !important;
    color: var(--bs-link-color);
}

.segmented .segmented-item.selected {
    background-color: var(--bs-text-color) !important;
    color: rgb(56 50 65) !important;
}

.columns-9 {
    grid-template-columns: repeat(9, 1fr) !important;
}

.data-table .item {
    line-height: 2.2rem;
    font-weight: 500;
    color: var(--bs-link-color80) !important;
}

.data-table .item:not(.thead):hover {
    background-color: rgb(184 173 210 / 25%) !important;
}

.data-table .item.thead {
    line-height: 2rem;
    color: var(--bs-link-color50) !important;
    border-bottom: 1px solid var(--bs-link-color50);
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

.loading-progress circle:last-child {
    stroke: var(--bs-text-color);
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
    transition: stroke-dasharray 0.05s ease-in-out;
}

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

.loading-progress-text:after {
    content: var(--blazor-load-percentage-text, "Loading");
}

code {
    color: #c02d76;
}

.inscription {
    background-color: #383241 !important;
    border-color: var(--bs-text-color) !important;
}

.inscription .card-body {
    color: var(--bs-text-color);
    font-size: 1rem;
    background-color: #372f47;
    border-radius: .375rem;
    min-height: 220px;
    padding: 0;
}

.inscription .card-foot {
    border-top: 1px solid var(--bs-text-color) !important;
    color: var(--bs-link-color);
}

.card-list > * {
    flex: 0 0 auto;
    width: 20% !important;
}

.modal-content {
    color: var(--colors-text) !important;
    background: var(--colors-backgroundAlt) !important;
}

.modal-content input[type=text],
.modal-content input[type=number],
.form-control.is-display,
.input-group-text {
    background-color: var(--colors-input) !important;
    border: 1px solid var(--colors-inputSecondary);
    box-shadow: var(--shadows-inset);
    color: var(--colors-text) !important;
}

.modal-content input[type=text]::placeholder,
.modal-content input[type=number]::placeholder {
    color: var(--colors-text);
}

.modal-content input[type=text]:hover,
.modal-content input[type=number]:hover {
    border: 1px solid var(--colors-inputSecondary) !important;
    border-left: 0 !important;
    border-right: 0 !important;
}

.modal-content input[type=text]:hover.single,
.modal-content input[type=number]:hover.single {
    border: 1px solid var(--colors-inputSecondary) !important;
}

.modal-backdrop.show {
    background: var(--colors-text50) !important;
}

.modal-header {
    background: var(--colors-gradientCardHeader);
}

.input-group-text:before {
    min-width: 0 !important;
}

.input-group-text {
    border: 1px solid var(--colors-inputSecondary) !important;
}

.input-group .btn {
    width: 80px;
    background-color: var(--colors-input) !important;
    border: 1px solid var(--colors-inputSecondary);
    box-shadow: var(--shadows-inset);
    color: var(--colors-text) !important;
    border-left: none;
}

.input-group .btn:hover {
    border: none !important;
}

.input-group input[type=text],
.input-group input[type=number] {
    border-left: none;
    border-right: none;
}

@media screen and (max-width: 1200px) {

    .card-list > * {
        flex: 0 0 auto;
        width: 25% !important;
    }
}

@media screen and (max-width: 1000px) {

    .card-list > * {
        flex: 0 0 auto;
        width: 33.33333333% !important;
    }
}

@media screen and (max-width: 768px) {

    .card-list > * {
        flex: 0 0 auto;
        width: 50% !important;
    }
}